#include <bits/stdc++.h>

using namespace std;

int main()
{
    iostream::sync_with_stdio(false);

    int n;
    cin >> n;
    int m=2*n;
    vector<int> a(n),b(n);
    int mx=m,mn=1;
    int i=0,j=0;
    for(int x=1; x<=n; x++)
    {
        if(x%2==1)
        {
            a[i]=mn;
            a[i+1]=mx;
            mx--;
            mn++;
            i++;
        }
        else
        {
            b[j]=mn;
            b[j+1]=mx;
            mx--;
            mn++;
            j++;
        }
    }

    for(auto c:a)cout << c << " ";
    cout << "\n";
    for(auto c:b)cout << c << " ";
    cout << "\n";

    return 0;
}